Skip to main content
GET
Retrieve Immediate Charge Details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Account-Id
string
required

Account ID (UUID format)

Path Parameters

collection_id
string
required

Identifier of the immediate collection

Response

OK

additionalInfo
object

AdditionalInfo contains additional key-value information

Example:
amount
string

Amount is the collection amount in decimal format

Example:

"100.00"

createdAt
string

CreatedAt is the timestamp when the collection was created

Example:

"2024-01-15T10:30:00Z"

debtorDocument
string

DebtorDocument is the CPF or CNPJ of the payer

Example:

"12345678901"

debtorName
string

DebtorName is the name of the payer

Example:

"João da Silva"

description
string

Description is the custom description of the collection

Example:

"Payment for order #12345"

emv
string

EMV is the QR code payload in EMV format

Example:

"00020126580014br.gov.bcb.pix..."

expirationSeconds
integer

ExpirationSeconds is the time in seconds until expiration

Example:

3600

id
string

ID is the unique identifier of the collection

Example:

"550e8400-e29b-41d4-a716-446655440000"

locationUrl
string

LocationURL is the URL to access the collection location/QR code

Example:

"https://api.example.com/qr/550e8400"

metadata
object

Metadata is the custom metadata associated with this collection

receiverKey
string

Pix key that will receive the payment

Example:

"+5511999999999"

status
string

Status is the current status of the collection

Example:

"ACTIVE"

tags
string[]

Tags is an array of custom tags

Example:
txId
string

TxID is the transaction identifier

Example:

"TXN123456789"

updatedAt
string

UpdatedAt is the timestamp of the last update

Example:

"2024-01-15T10:30:00Z"